using System;
using System.Collections.Generic;
using System.Text;

namespace DesignIdioms
{
    public sealed class ImmutableNumericSequence
    {
        private List<int> numberSequence = new List<int>();
        private int sum;

        public ImmutableNumericSequence()
        {
        }

        public ImmutableNumericSequence(IEnumerable<int> seeds)
        {
            foreach (int i in seeds)
            {
                numberSequence.Add(i);
                sum += i;
            }
        }

        public int Sum
        {
            get
            {
                return sum;
            }
        }
    }
}

